<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( is_home() || is_search() || is_archive() ) : ?>
		<?php if ( has_post_thumbnail() ) : ?>
			<a class="post-thumbnail" href="<?php the_permalink(); ?>" data-instant>
				<?php the_post_thumbnail('thumbnail'); ?>
			</a>
			<header class="entry-header">
		<?php else : ?>
			<header class="entry-header no-thumbnail">
		<?php endif; ?>
	<?php else : ?>
		<header class="entry-header">
	<?php endif; ?>

		<?php

			if ( is_single() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' );
			endif;
		?>

		<div class="entry-meta">
			<?php
				printf( '<span class="entry-date"><a href="%1$s" rel="bookmark"><time class="entry-date" datetime="%2$s">%3$s</time></a></span>',
					esc_url( get_permalink() ),
					esc_attr( get_the_date( 'c' ) ),
					esc_html( get_the_date() )
				);
			?>
			<span class="entry-category">
				<?php the_category(', '); ?>
			</span>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<?php if ( is_home() || is_search() || is_archive() ) : ?>
	<div class="entry-summary">
		<?php the_tags( '<div class="entry-meta"><span class="tag-links">', '', '</span></div>' ); ?>
	</div><!-- .entry-summary -->
		<?php echo my_excerpt( $post ); ?>
	<?php else : ?>
	<div class="entry-content">
		<?php
			the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyfourteen' ) );
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfourteen' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );
		?>
	</div><!-- .entry-content -->
	<?php the_tags( '<footer class="entry-meta"><span class="tag-links">', '', '</span></footer>' ); ?>
	<?php endif; ?>

</article><!-- #post-## -->
